# journeyState

{% tabs %}
{% tab title="Swift" %}

```swift
static func journeyState() -> CustomerJourneyState?
```

{% endtab %}

{% tab title="Kotlin" %}

```kotlin
fun journeyState(): CustomerJourneyState?
```

{% endtab %}

{% tab title="Flutter" %}

```dart
static Future<CustomerJourneyState?> journeyState() async
```

{% endtab %}

{% tab title="React Native" %}

```javascript
export type CustomerJourneyState = {
  formerSubscriber: boolean;
  inGracePeriod: boolean;
  inTrialPeriod: boolean;
  inIntroOfferPeriod: boolean;
  isCancelled: boolean;
  inPause: boolean;
  inAccountHold: boolean;
};
```

{% endtab %}

{% tab title="Unity" %}

```c
public class CustomerJourneyState
{
    public bool FormerSubscriber { get; private set; }

    public bool InGracePeriod { get; private set; }

    public bool InTrialPeriod { get; private set; }

    public bool InIntroOfferPeriod { get; private set; }

    public bool IsCancelled { get; private set; }

    /// <summary> Android platforms only </summary>
    public bool InPause { get; private set; }

    public bool InAccountHold { get; private set; }
}
```

{% endtab %}
{% endtabs %}

Returns a [CustomerJourneyState](/sdk-reference/namicustomermanager/customerjourneystate.md) object.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.namiml.com/sdk-reference/namicustomermanager/journeystate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
